aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xphy_fpga/tinyfpga_bx_program.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/phy_fpga/tinyfpga_bx_program.sh b/phy_fpga/tinyfpga_bx_program.sh
index e4e00e2..ef1a774 100755
--- a/phy_fpga/tinyfpga_bx_program.sh
+++ b/phy_fpga/tinyfpga_bx_program.sh
@@ -1,2 +1,4 @@
#!/bin/sh
-exec tinyprog -p tinyfpga_bx_pyprofibusphy.bin
+set -e
+tinyprog --update-bootloader
+tinyprog --program tinyfpga_bx_pyprofibusphy.bin
bues.ch cgit interface